Type to search.

Handle OAuth callback

Base URL
https://{kibana_url}
  • GET /api/actions/connector/_oauth_callback
  • GET /s/{space_id}/api/actions/connector/_oauth_callback
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Handles the OAuth 2.0 authorization code callback from external providers. Exchanges the authorization code for access and refresh tokens.

Required privileges

Privileges actions:oauth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

code string

The authorization code returned by the OAuth provider.

state string

The state parameter for CSRF protection.

error string

Error code if the authorization failed.

error_description string

Human-readable error description.

session_state string

Session state from the OAuth provider (e.g., Microsoft).

Responses

200

Returns an HTML callback page.

302

Redirects to the return URL with authorization result query parameters.

401

User is not authenticated.